<script setup lang="ts">
import { useTableListStore } from "@/stores/list_table";
import { onMounted, ref } from "vue";
import ListTableDelete from "./ListTableDelete.vue";
import ListTableDialog from "./ListTableDialog.vue";
const tableStore = useTableListStore();
const TextField = ref(false);
onMounted(async () => {
    await tableStore.getTable();
});

function showTextField() {
    TextField.value = true;
}

setInterval(tableStore.getTable, 1000);
</script>
<template>
    <ListTableDialog></ListTableDialog>
    <ListTableDelete></ListTableDelete>
    <v-container fluid fill-height class="d-flex justify-center align-center">
        <v-row class="justify-center">
            <v-col>
                <v-card class="ma-5" color="#EEF2E6">
                    <v-row class="justify-center">
                        <v-card class="pa-5 ma-2 text-h4 text-center" width="100%" color="#1C6758"
                            style="color: white"><label style="padding: 10px;">ข้อมูลโต๊ะ</label>
                            <v-icon color="white" @click="showTextField()">mdi-magnify</v-icon>
                            <v-text-field class="input" label="ค้นหาประเภทโต๊ะ" v-model="tableStore.search"
                                v-if="TextField" @blur="TextField = false"></v-text-field></v-card>

                    </v-row>
                    <v-table id="table" style="padding-top: 10px;">
                        <thead>
                            <tr>
                                <th>ID</th>
                                <th>Type</th>
                                <th>Number</th>
                                <th>Status</th>
                                <th><v-btn size="x-large" class="btng" @click="tableStore.dialog = true">
                                        <v-icon>mdi-plus</v-icon>New
                                    </v-btn></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr v-for="item of tableStore.tables" :key="item.id">
                                <td>{{ item.id }}</td>
                                <td>{{ item.type }}</td>
                                <td>{{ item.Number }}</td>
                                <td>{{ item.status }}</td>
                                <td class="text-center">
                                    <span style="padding-right: 10px">
                                        <v-btn icon round class="btno" @click="tableStore.editTable(item)">
                                            <v-icon>mdi-pencil</v-icon>
                                        </v-btn>
                                    </span>
                                    <span style="padding-left: 10px"><v-btn icon round class="btnr"
                                            @click="tableStore.dialogDelete(item)">
                                            <v-icon>mdi-delete</v-icon>
                                        </v-btn>
                                    </span>
                                </td>
                            </tr>
                        </tbody>
                    </v-table>
                </v-card>
            </v-col>
        </v-row>
    </v-container>
</template>
<style scoped>
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100&display=swap");

label {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold;
    font-size: 48px !important;
}

.input {
  font-family: "Noto Sans Thai", sans-serif;
}

th {
    font-family: "Noto Sans Thai", sans-serif;
    font-size: 24px !important;
    text-align: center;
    font-weight: bold !important;
}

td {
    font-family: "Noto Sans Thai", sans-serif;
    font-size: 18px !important;
    font-weight: bold;
    text-align: center;
}

#table {
    border-collapse: collapse;
    width: 100%;
}

#table td,
#table th {
    padding: 10px;
    text-align: center;
}

#table th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: center;
    background-color: #1c6758;
    color: white;

}

#table tr {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #FFEFCF;
    color: black;
}

.btng {
    background-color: #92D050;
    font-weight: bold !important;
    font-size: 16px !important;
}

.btnr {
    background-color: #FF4A4A;
}

.btno {
    background-color: #FFC000;
}
</style>